Subject: [COSE] FW: New Version Notification for draft-mattsson-cose-cbor-cert-compress-06.txt

From: John Mattsson <[email-masked]>
Date: Wed, 20 Jan 2021 09:21:43 +0000

Hi,

We have submitted version -06 of draft-mattsson-cose-cbor-cert-compress. Since -05 we have implemented tools to get certificate chain/bag from a TLS server and CBOR encodes it. We have tested the tool on a
number of web sites and are able to compress the all the chains without problems. 

Changes in -06:

- Added references to the certificate profiles RFC 8603 and CAB baseline.
- Added text in introduction that certificate chain sizes are major problems also in EAP and QUIC.
- Based on the certificates found on the web, attributes, extensions, and algorithms can now all be expressed with OID and raw DER byte strings.
- Optimized for a single attribute per RDN as all the certificates on the web seem to be following this practice.
- Changed ECDSA signatureValue encoding as the old one depended on the issuer public key algorithm. Optimize RSA public key encoding.
- Changed from zlib to brotli
- Significantly restructured IANA tables to make them better
- Editorial changes

Plans for future versions:

- Finalize CBOR encoding specification for all extensions that are very common for HTTPS.
- Test the encoding on a large amount of certificates, hopefully millions.
- Example encoding of a IEEE 802.1AR certificate
- Examples of certificate chain encoding showing sizes for DER, DER+Brotli, CBOR, CBOR+Brotli.

Cheers,
John

-----Original Message-----
From: "[email-masked]" <[email-masked]>
Date: Tuesday, 19 January 2021 at 15:22
To: Göran Selander <[email-masked]>, Joel Höglund <[email-masked]>, John Mattsson <[email-masked]>, Göran Selander <[email-masked]>, Joel Hoglund <[email-masked]>, John Mattsson <[email-masked]>, Martin Furuhed <[email-masked]>, Shahid Raza <[email-masked]>
Subject: New Version Notification for draft-mattsson-cose-cbor-cert-compress-06.txt

A new version of I-D, draft-mattsson-cose-cbor-cert-compress-06.txt
has been successfully submitted by =?utf-8?q?John_Preu=C3=9F_Mattsson?= and posted to the
IETF repository.

Name:		draft-mattsson-cose-cbor-cert-compress
Revision:	06
Title:		CBOR Encoding of X.509 Certificates (CBOR Certificates)
Document date:	2021-01-19
Group:		Individual Submission
Pages:		40
URL:            https://www.ietf.org/archive/id/draft-mattsson-cose-cbor-cert-compress-06.txt
Status:         https://datatracker.ietf.org/doc/draft-mattsson-cose-cbor-cert-compress/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-mattsson-cose-cbor-cert-compress
Htmlized:       https://tools.ietf.org/html/draft-mattsson-cose-cbor-cert-compress-06
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mattsson-cose-cbor-cert-compress-06

Abstract:
   This document specifies a CBOR encoding of X.509 certificates.  The
   resulting certificates are called CBOR Certificates.  The CBOR
   encoding supports a large subset of RFC 5280 and significantly
   reduces the size of certificates compatible with e.g.  RFC 7925, IEEE
   802.1AR (DevID), CNSA, and CA/Browser Forum Baseline Requirements.
   When used to re-encode DER encoded X.509 certificates, the CBOR
   encoding can in many cases reduce the size of RFC 7925 profiled
   certificates with over 50%.  The CBOR encoding can also be used to
   encode "natively signed" CBOR certificates, which does not require
   re-encoding for the signature to be verified.  The document also
   specifies COSE headers as well as a TLS certificate type for CBOR
   certificates.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat